<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : conf 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

$uri = Portal::getInstance()->getTemplateURI();
?>
<div class="cpanel_ext container">
	<?php foreach ($this->icons_arr as $rk=>$_row) : ?>
	<div class="row">
		<?php foreach ($_row as $_k=>$_cell) : ?>
		<?php if(isset($this->disabled_modules[$_cell["module"]])) {
			$_cell["link"] = "#";
			$_cell["class"].= ($_cell["class"] ? " " : "")."disabled-icon";
		}
		?>
		<div class="col-xss-6 col-xs-4 col-sm-2 col-md-1"><div class="cpanel">
			<a title="<?php echo Text::_($_cell["title"]); ?>" class="<?php echo $_cell["class"]; ?>" href="<?php echo Router::_($_cell["link"])?>">
				<img alt="<?php echo Text::_($_cell["title"]); ?>" src="<?php echo $uri."images/cpanel/".$_cell["icon"]; ?>" />
				<br />
				<?php echo Text::_($_cell["title"]); ?>
			</a>
		</div></div>
		<?php endforeach; ?>
	</div>
	<?php endforeach; ?>
</div>