<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_MODULE_INFO

defined('_BARMAZ_VALID') or die("Access denied");

class feedbackControllerdefault extends SpravController {
	public function showMessages() {
		$layout=$this->get('layout');
		if ($layout=='single') {
			Portal::getInstance()->disableTemplate();
			$psid=Request::getInt('psid',0);
			if ($psid){
				$model = $this->getModel();
				$model->setRead($psid);
				$msg = $model->getElement($psid);
				$view = $this->getView();
				$view->assign('msg',$msg);
			}
		} else $this->showData();
	}
	
	public function modify($ajaxModify=false){
		$mdl = Module::getInstance();
		$moduleName	= $mdl->getName();
		$reestr = $mdl->get('reestr');

		$model = $this->getModel();
		$viewname = $this->getView()->getName();
		$this->checkACL("modify".ucfirst($moduleName).ucfirst($viewname));
		$arr_psid     = Request::get('cps_id', false);				// массив отмеченных галочкой элементов
		$multy_code   = Request::get('multy_code', false); 		// ид верхней группы
		$psid         = Request::get('psid', false); 					// ид строки
		if(!$psid)  if($arr_psid&&is_array($arr_psid)&&count($arr_psid)>0) $psid = $arr_psid[0];
		if($psid) $model->setRead($psid);
		parent::modify($ajaxModify);
	}
}
?>