<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_MODULE_INFO

defined('_BARMAZ_VALID') or die("Access denied");

class galleryModuleParams{
	public static function _proceed(&$module){
		$module->addParam("images_by_row", "select", "4", false, array("2"=>"2", "3"=>"3", "4"=>"4", "6"=>"6"));
		$module->addParam("exclude_cats_from_map", "multiselect", "0", false, self::getGroups());
		$module->addParam("exclude_galleries_from_map", "multiselect", "0", false, self::getItems());
	}
	public static function getGroups() {
		$sql="SELECT gr_id AS `id`, gr_title AS `name` FROM #__gallery_groups WHERE gr_deleted=0 ORDER BY gr_ordering";
		Database::getInstance()->setQuery($sql);
		return Database::getInstance()->loadAssocList();
	}
	public static function getItems($psid=0) {
		$sql="SELECT g_id AS `id`, g_title AS `name` FROM #__galleries WHERE g_deleted=0 ORDER BY g_ordering";
		Database::getInstance()->setQuery($sql);
		return Database::getInstance()->loadAssocList();
	}
}
?>