<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : installer 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

?>
<div class="container"><div class="row"><div class="col-md-12"><div class="install-manager rounded-pan rounded-pan-medium">
	<h4 class="title">
	<?php 
		if ($this->mode=="install") echo Text::_("Package instalation results"); 
		if ($this->mode=="uninstall") echo Text::_("Package uninstall results"); 
		?>
	</h4>
	<div class="installer">
		<?php
		if (count($this->log)) {
			foreach($this->log as $key=>$msg){
				echo "<p class=\"log_".$msg["type"]."\">".$msg["text"]."</p>";
			}		
		}
		if ($this->result)	echo "<p class=\"log_message\">".$this->msg."</p>";
		else echo "<p class=\"log_error\">".$this->msg."</p>";
		?>
	</div>
	<div class="buttons"><a class="linkButton btn btn-info" href="<?php echo Router::_("index.php?module=installer"); ?>"><?php echo Text::_("Installer"); ?></a></div>
</div></div></div></div>