<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

defined('_BARMAZ_VALID') or die("Access denied");

class siteConfig {
	// Developer mode enabled/disabled
	public static	$license_key	= true;
//	public static	$gzipMode	= false;
	public static	$enableGeneratorMetaTag	= false;
	public static	$cacheLife	= 0;
	// Site enabled/disabled
	public static	$siteDisabled		= false;
	// Debug mode on/off
	public static	$debugMode			= 0;
	public static	$debugIP			= "";
	public static	$siteMemoryLimit	= 20;
	public static	$siteTimeLimit		= 30;
	public static	$cssOverride		= false;
	public static	$loadBootstrap		= true;
	public static	$useJQuery		= true;
	public static	$useJQueryUIMini	= false;
	public static	$useJQueryUI		= true;
	public static	$useJQueryUICSS		= true;
	
	// Default language
	public static	$site_rules_article	= 2;
	public static	$privacy_policy_article	= 3;
	
	public static	$defaultLanguage	= 'ru';

	// Cookie life time (hours)
	public static	$cookieLifeTime		= 1440;	// Week

	public static	$pagesPerPanel		= 10;
	public static	$recordsPerPage		= 10;
	public static	$shortTextLength		= 350;
	public static	$searchTargetBlank	= true;
	public static	$searchMenuID		= 25;
	
	public static	$treeDepth		= 20;

	public static	$siteDomain			= '###SITE_DOMAIN###';
	public static	$sitePort			= '###SITE_PORT###';
	public static	$siteSSLPort		= '###SITE_SSL_PORT###';
	// Site template
	public static	$siteTemplate		= '###SITE_TEMPLATE###';
	public static	$siteTemplatesByMenu= false;
	// default module and item in this module
	public static	$defaultModule		= 'site';
	public static	$defaultMenuID		= 32;
	// Site default module
	public static	$allowedType		= "bmp;csv;gif;jpeg;jpg;mp4;ogg;ogv;pdf;png;swf;webm;webp;zip";
	// Site title
	public static	$metaTitle			= "###SITE_TITLE###";
	// Site description
	public static	$metaDescription	= "";
	// Site keywords
	public static	$metaKeywords		= "";
	// Site support email
	public static	$sendFeedbacksByMail	= 1;
	// Module breadcrumbs
//	public static	$showBreadcrumbs	= true;
	public static	$useMultiVote = false;
	public static	$useTextAddress=true;
	public static	$use_points_system	= true;
	public static	$def_account_bonus	= 0;
	public static	$use_referral_system=true;
	public static	$intervalNumFilter=false;
}
?>