<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : article 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

?>
<h1 id="articleTitleRead"><?php echo Text::_("Tree"); ?></h1>
<?php if (count($this->brokenParents)>0) { ?>
<div class="articleAchtungRead">
	<div class="articleAchtungTitle"><?php echo Text::_("Articles with broke parent links"); ?></div>
	<ul>
<?php 
	foreach($this->brokenParents as $brokenLink) {
		$href=Router::_("index.php?module=article&amp;view=read&amp;psid=".$brokenLink->a_id);
		echo "<li><a href=\"\">".$brokenLink->a_title."</a></li>";
	}
?>
</ul></div>	
<?php } ?>
<div id="articleTextRead"><?php echo $this->tree; ?></div>
<?php 
Portal::getInstance()->addScript("/redistribution/jquery.plugins/jquery.treeview.js");
Portal::getInstance()->AddScriptDeclaration('$(document).ready(function(){ $("#article_tree").treeview({  animated: "fast", collapsed: false, unique: true }); });'); 
?>