<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : blog 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

class defaultViewlist extends View {
	//
	
	public function getEmptyImage() {
		$imgurl="";
		$imgpath_c=PATH_IMAGES.DS."nophoto.webp";
		$imgpath_t=PATH_TEMPLATES.DS.Portal::getInstance()->getTemplate().DS.'images'.DS."nophoto.webp";
		if((file_exists($imgpath_t))&&(is_file($imgpath_t))) {
			$imgurl=Portal::getURI()."/templates/".Portal::getInstance()->getTemplate()."/images/nophoto.webp";
		} elseif((file_exists($imgpath_c))&&(is_file($imgpath_c))) {
			$imgurl=Portal::getURI()."/images/nophoto.webp";
		} else $imgurl="";
		return  $imgurl;
	}
	public function getImage($img,$image_state=0) {
		$imgpath=BARMAZ_UF_PATH.'blog/thumbs';
		$imgurl="";
		$imgpath.=DS.Files::splitAppendix($img,true);
		if((file_exists($imgpath))&&(is_file($imgpath))) {
			$imgurl=BARMAZ_UF.'/blog/thumbs/'.Files::splitAppendix($img);
		}
		return $imgurl;
	}
	
}

?>