<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : catalog 
//  Copyright (c) BARMAZ Group
//  Revision: unknown (unknown)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

class defaultViewgoods extends SpravView {
	public function getEmptyImage() {
		$imgurl="";
		$imgpath_c=PATH_IMAGES.DS."nophoto.webp";
		$imgpath_t=PATH_TEMPLATES.DS.Portal::getInstance()->getTemplate().DS.'images'.DS."nophoto.webp";
		if((file_exists($imgpath_t))&&(is_file($imgpath_t))) {
			$imgurl=Portal::getURI()."templates/".Portal::getInstance()->getTemplate()."/images/nophoto.webp";
		} elseif((file_exists($imgpath_c))&&(is_file($imgpath_c))) {
			$imgurl=Portal::getURI()."images/nophoto.webp";
		} else $imgurl="";
		return  $imgurl;
	}
	public function getImage($img,$image_state=0) {
		$imgpath=BARMAZ_UF_PATH.'catalog'.DS.'i'.DS;
		$imgurl="";
		if($image_state==1) $imgpath.='thumbs'.DS.Files::splitAppendix($img,true);
		elseif($image_state==2) $imgpath.='medium'.DS.Files::splitAppendix($img,true);
		else $imgpath.='fullsize'.DS.Files::splitAppendix($img,true);
		if((file_exists($imgpath))&&(is_file($imgpath))) {
			$imgurl=BARMAZ_UF.'/catalog/i/';
			if($image_state==1) { $imgurl.='thumbs/'.Files::splitAppendix($img); }
			elseif($image_state==2) { $imgurl.='medium/'.Files::splitAppendix($img); }
			else { $imgurl.='fullsize/'.Files::splitAppendix($img); }
		} 
		return $imgurl;
	}
	public function renderPlayer($video, $width="100%", $height="auto"){
		if (is_file(BARMAZ_UF_PATH."catalog".DS."videothumbs".DS.Files::getAppendix($video->v_image).DS.$video->v_image))
			$video->v_image = BARMAZ_UF.'/catalog/videothumbs/'.Files::getAppendix($video->v_image)."/".$video->v_image;
		else $video->v_image="";
		return Module::getHelper("player","videoset")->render($video, $width, $height);
	}
	public function haveOptions($gids){
		return Module::getHelper("goods","catalog")->haveOptions($gids);
	}
	public function applyDiscounts($gid, $price, $discounts){
		return Module::getHelper("goods","catalog")->applyDiscounts($gid, $price, $discounts);
	}
	public function getExtendedPrices($ids){
		return Module::getHelper("goods","catalog")->getExtendedPrices($ids);
	}
	public function applyExtendedPrices($gid, $price, $quantity, $extPrices){
		return Module::getHelper("goods","catalog")->applyExtendedPrices($gid, $price, $quantity, $extPrices);
	}
}
?>