<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : pools 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

if (count($this->polls)) {
	foreach($this->polls as $poll) { 
		$total=(int)$poll->p_total_voted;	?>
		<div class="poll_list float-fix">
			<h3 class="poll_title"><a href="<?php echo Router::_("index.php?module=polls&view=poll&psid=".$poll->p_id."&alias=".$poll->p_alias); ?>"><?php echo $poll->p_title; ?></a></h3>
			<p class="poll_date">
				<?php echo Text::_("Vote time")."&nbsp;".Date::fromSQL($poll->p_startdate); ?>
				<?php echo "&nbsp;-&nbsp;".Date::fromSQL($poll->p_enddate); ?>
			</p>
			<p class="poll_total">
				<?php echo Text::_("Total voted")."&nbsp;".(int)$poll->p_total_voted; ?>
			</p>
		</div> 
<?php }
}
?>