<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : videoset 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

$video=$this->video;
if ($video) {
	$title=addslashes($video->v_title);
	echo "<h1 class=\"video-title\">".$title."</h1>";
	echo "<div class=\"row\">";
	echo "<div class=\"single-video ".(count($this->videos) ? "col-md-9" : "col-md-12")."\">";
	echo $this->renderPlayer($video);
	echo "</div>";
	if(count($this->videos)) {
		echo "<div class=\"single-video-list col-md-3\">";
		echo "<h2 class=\"title\">".Text::_("Video list")." :</h2>";
		foreach($this->videos as $row) {
			if($row->v_id!=$video->v_id)  {
				if (is_file($poster = BARMAZ_UF_PATH."videoset".DS."i".DS.Files::getAppendix($row->v_image).DS.$row->v_image))
					$poster = BARMAZ_UF.'/videoset/i/'.Files::getAppendix($row->v_image)."/".$row->v_image;
				else $poster="";
				echo "<div class=\"video_elem\">";
				$href="index.php?module=videoset&view=video&psid=".$row->v_id;
				if(isset($row->v_alias)&&$row->v_alias) $href.="&alias=".$row->v_alias;
				$href=Router::_($href);
				echo "<a class=\"videos\" href=\"".$href."\"><img src=\"".$poster."\" alt=\"".$row->v_alt_img."\" tltle=\"".$row->v_title_img."\"/></a>";
				echo "<h3><a href=\"".$href."\">".$row->v_title."</a></h3>";
				echo "</div>";
			}
		}
		echo "</div>";
	}
	echo "</div>";
}
?>