<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_WIDGET_INFO

defined('_BARMAZ_VALID') or die("Access denied");

class articleWidget extends Widget {
	protected function setParamsMask(){
		parent::setParamsMask();
		$this->addParam("articleId", "table_select", 0, false, "SELECT a_id AS fld_id, a_title AS fld_name FROM #__articles ORDER BY fld_name");
	}
	public function render() {
		$psid = $this->getParam('articleId');
		$model = $this->getModel('article', 'article');
		$art = false;
		$art = $model->getArticle($psid); 
		if ($art) { 
			Event::raise('content.prepare', array("clean_all"=>"1"), $art->a_text);
			$articleHTML = $art->a_text; 
		}
		else { $articleHTML = "<b>".Text::_('Article not found: ').$alias."(".$psid.")</b>";	}
		return $articleHTML;
	}
}
?>