<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_WIDGET_INFO

defined('_BARMAZ_VALID') or die("Access denied");

class basketWidget extends Widget {
	protected $_requiredModules = array("catalog");
	
	protected function setParamsMask(){
		parent::setParamsMask();
		$this->addParam("Basket_ID", "string", "ajax_basket");
	}
	public function prepare() {
		$Basket_ID = $this->getParam('Basket_ID');
		Portal::getInstance()->addScriptDeclaration("basketWidgetID.push('".$Basket_ID."')");
	}
	public function render() {
		if (catalogConfig::$ordersDisabled) {
			$this->set('show_title',0);
			return "";
		}
		$html = $this->get('content','');
		if ($html) $html=$html; else $html="";
		$Basket_ID = $this->get('Basket_ID','ajax_basket');
		$html.="<div id=\"".$Basket_ID."\">".Basket::getInstance()->showMini()."</div>";
		return $html;
	}
}
?>