<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 


define('_BARMAZ_VALID',1);
define('DS',DIRECTORY_SEPARATOR);
define("CR_LF", chr(13).chr(10));
define('_ADMIN_MODE'	,	1);

$pathSite = realpath(dirname(__FILE__)).DS;
$pathFront = realpath(dirname(__FILE__).DS.'..').DS;
define('PATH_SITE'			,	$pathSite);
define('PATH_FRONT'			,	$pathFront);

define('PATH_FRONT_MODULES'	,	PATH_FRONT.'modules'.DS);
define('PATH_FRONT_WIDGETS'	,	PATH_FRONT.'widgets'.DS);
define('PATH_FRONT_TEMPLATES',	PATH_FRONT.'templates'.DS);

define('PATH_CACHE'			,	PATH_FRONT.'cache'.DS);
define('PATH_CONFIG'		,	PATH_FRONT.'config'.DS);
define('PATH_CSS'				,	PATH_FRONT.'css'.DS);
define('LINK_CSS'				,	'/css');
define('PATH_IMAGES'		,	PATH_FRONT.'images'.DS);
define('PATH_WM'		,	PATH_IMAGES.'WM'.DS);
define('PATH_INCLUDES'	,	PATH_FRONT.'includes'.DS);
define('PATH_JS'				,	PATH_FRONT.'js'.DS);
define('LINK_JS'				,	'/js');
define('PATH_LOGS'	,	PATH_FRONT.'logs'.DS);
define('PATH_LANGUAGE'	,	PATH_FRONT.'language'.DS);
define('PATH_MODULES'		,	PATH_SITE.'modules'.DS);
define('PATH_PACKAGES'	,	PATH_FRONT.'packages'.DS);
define('PATH_ASSETS'	,	PATH_FRONT.'redistribution'.DS);
define('PATH_JQUERY_P'	,	PATH_ASSETS.'jquery.plugins'.DS);
define('LINK_ASSETS'	,	'/redistribution');
define('LINK_JQUERY_P'	,	LINK_ASSETS.'/jquery.plugins');

define('PATH_PLUGINS'		,	PATH_FRONT.'plugins'.DS);
define('PATH_TEMPLATES'	,	PATH_SITE.'templates'.DS);
define('LINK_TEMPLATES'	,	'templates');
define('PATH_TMP'				,	PATH_FRONT.'tmp'.DS);
define('PATH_WIDGETS'		,	PATH_SITE.'widgets'.DS);

if (!file_exists(PATH_CONFIG.'database.php')) die("Not installed !!!");
else include_once PATH_PACKAGES.'startup.php';
?>