<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : aclmgr 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

$tablname	= 'acl_roles';
$keystring	= 'ar_id';
$deleted	= 'ar_deleted';
$nametabl	= "ACL roles list";

$buttons = array(
			"new"		=> array("show"=>1,"view"=>"roles","task"=>"modify"),
			"filter"	=> array("show"=>1,"view"=>"roles"),
			"modify"	=> array("show"=>1,"view"=>"roles","task"=>"modify"),
			"delete"	=> array("show"=>1,"view"=>"roles","task"=>"delete"),
			"undelete"	=> array("show"=>1,"view"=>"roles","task"=>"delete"),
			"trash"		=> array("show"=>1,"link"=>false),
			"clean_trash"		=> array("show"=>1,"link"=>false)
);

$cur_table_arr = array(
			"field"		=> array(1=>"ar_id","ar_name","ar_title","ar_admin","ar_active","ar_system","ar_deleted"),
			"name"		=> array(1=>"Role ID","Role name","Title","Role can admin","Role is active","Role is system","Deleted"),
			"val_type"	=> array(1=>"int","string","string","boolean","boolean","boolean","int"),
			"view"		=> array(1=>0,1,1,1,0),
			"link"		=> array(2=>"index.php?module=aclmgr&view=rules&roleid=[0]"),
			"link_key"	=> array(2=>'id'),
			"link_type"	=> array(2=>''),
			"input_type"=> array(1=>'hidden','text','text','checkbox','checkbox','hidden','hidden'),
			"update_type"=> array(2=>0)
);

?>