<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_MODULE_INFO


defined ( '_BARMAZ_VALID' ) or die ( "Access denied" );

class defaultViewitems extends SpravView {
	public function renderChangeForm($psid, $data) {
		$html = '';
		if ($psid) {
			$html .= "<div><form action=\"index.php\" method=\"post\">";
			$html .= HTMLControls::renderHiddenField ( 'module', 'article' );
			$html .= HTMLControls::renderHiddenField ( 'view', 'items' );
			$html .= HTMLControls::renderHiddenField ( 'task', 'changeDate' );
			$html .= HTMLControls::renderHiddenField ( 'psid', $psid );
			$html .= "<p>" . Text::_ ( "Change date publicity article" ) . "  " . $data->a_title . "</p>";
			$html .= HTMLControls::renderLabelField ( 'a_date', Text::_ ( "Set new date" ) );
			$html .= HTMLControls::renderDateTimeSelector ( 'a_date', $data->a_date );
			$html .= HTMLControls::renderButton ( 'save', 'apply', 'submit' );
			$html .= "</form></div>";
		}
		echo $html;
		parent::render ();
	}
}
?>