<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_MODULE_INFO

defined('_BARMAZ_VALID') or die("Access denied");

class defaultViewoptionvals_data extends SpravView {
	//
	public function renderSprav(&$meta, &$rows, $column_class=""){
		$reestr = Module::getInstance()->get('reestr');
		$multy_code= $reestr->get('multy_code', 0);
		$title1=Module::getInstance()->getModel()->getOptionName($multy_code);
		$title2=Module::getInstance()->getModel()->getGoodsName($multy_code);
		$reestr->set('dop_head',"&quot;".$title1."&quot; ".Text::_("for")." ".$title2);
		parent::renderSprav($meta, $rows, $column_class);
	}
	public function getOptionName($psid,$row){
		$reestr = Module::getInstance()->get('reestr');
		$multy_code = $reestr->get('multy_code');
		return Module::getInstance()->getModel()->getOptionName($multy_code);
	}
	public function modify($row){
		parent::modify($row);
	}	
	
}

?>