<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_MODULE_INFO
defined ( '_BARMAZ_VALID' ) or die ( "Access denied" );
$html = $frm->startLayout ( false );
$_activeTab = $this->activeTab;
// перечень полей которые верстаем вручную
// однопанельная верстка
$fld_list_render = array (
		'i_image',
		'i_title_img',
		'i_alt_img',
		'i_thumb',
		'i_title_thm',
		'i_alt_thm',
		'i_ordering',
		'i_med_image',
		'i_title_med_img',
		'i_alt_med_img'
		// исключим доп файлы
		,'df_add_img'
		,'df_alt_dop_image'
		,'df_title_dop_image'		
);

$last_tab = $meta->input_last_page;
$el_name = $frm->getInputValue ( $meta->namestring );
$new_position = false;
if (! $el_name) {
	$el_name = Text::_ ( 'New position' );
	$new_position = true;
}
$html .= "<div class=\"container\"><div class=\"row\"><div class=\"col-md-12\">";
$html .= "<div id=\"modify-wrapper\" class=\"rounded-pan\">";

$html .= "<div id=\"tab_qpanel\">"; // обертка для панелей
$html .= "<div class=\"tab-content clearfix\">";
	
// сначала основные поля	
foreach ( $input_type as $index => $value ) {
	
	if(array_search($meta->field [$index],$fld_list_render)!== false ) continue;
	 if ($meta->input_view [$index] == 0 && $value != "hidden")
	 	continue;
	 	switch ($value) {
	 		case "hidden" :
	 			continue 2;
	 			break;
	 		case "image" :
	 			$html .= "<div class=\"modify-image-wrapper\" id=\"wrapper-" . $meta->field [$index] . "\"><div class=\"row\">";
	 			$html .= "<div class=\"modify-label col-sm-4\">" . $frm->renderLabelFor ( $meta->field [$index] ) . "&nbsp;" . $frm->renderBalloonFor ( $meta->field [$index], false ) . "</div>";
	 			$html .= "<div class=\"col-sm-8\">" . $frm->renderInputPart ( $meta->field [$index] ) . "</div>";
	 			$html .= "</div></div>";
	 			break;
	 		case "textarea" :
	 		case "texteditor" :
	 			$html .= "<div class=\"modify-editor-wrapper\" id=\"wrapper-" . $meta->field [$index] . "\">";
	 			$html .= "<div class=\"row\"><div class=\"modify-label col-sm-12\">" . $frm->renderLabelFor ( $meta->field [$index] ) . "&nbsp;" . $frm->renderBalloonFor ( $meta->field [$index], false ) . "</div></div>";
	 			$html .= "<div class=\"row\"><div class=\"modify-input col-sm-12\">" . $frm->renderInputPart ( $meta->field [$index] ) . "</div></div>";
	 			$html .= "</div>";
	 			break;
	 		case "checkbox" :
	 			$html .= "<div class=\"modify-wrapper row\" id=\"wrapper-" . $meta->field [$index] . "\">";
	 			$html .= "<div class=\"modify-label col-sm-4 col-xs-9\">" . $frm->renderLabelFor ( $meta->field [$index] ) . "&nbsp;" . $frm->renderBalloonFor ( $meta->field [$index], false ) . "</div>";
	 			$html .= "<div class=\"modify-input col-sm-8 col-xs-3\">" . $frm->renderInputPart ( $meta->field [$index] ) . "</div>";
	 			$html .= "</div>";
	 			break;
	 		default :
	 			$html .= "<div class=\"modify-wrapper row\" id=\"wrapper-" . $meta->field [$index] . "\">";
	 			$html .= "<div class=\"modify-label col-sm-4\">" . $frm->renderLabelFor ( $meta->field [$index] ) . "&nbsp;" . $frm->renderBalloonFor ( $meta->field [$index], false ) . "</div>";
	 			$html .= "<div class=\"modify-input col-sm-8\">" . $frm->renderInputPart ( $meta->field [$index] ) . "</div>";
	 			$html .= "</div>";
	 			break;
	 	}
}
	
	// Вкладка изображений
	// вот тут подработаем немного в зависимости от настроек каталога
	if (catalogConfig::$thumbAutoCreate && $new_position) {
		$frm->appendTag ( 'READONLY', 'i_thumb', true );
	}
	if (catalogConfig::$mediumImgAutoCreate && $new_position) {
		$frm->appendTag ( 'READONLY', 'i_med_image', true );
	}

	$html .= "<div class=\"row\">";
	$html .= "	<div class=\"col-sm-6\">";
	$html .= "		<div class=\"modify-image-wrapper\" id=\"wrapper-g_image\">";
	$html .= "			<div class=\"row\">";
	$html .= "				<div class=\"modify-label col-sm-4\">" . $frm->renderLabelFor ( "i_image" ) . "&nbsp;" . $frm->renderBalloonFor ( "i_image", false ) . "</div>";
	$html .= "				<div class=\"col-sm-8\">" . $frm->renderInputPart ( "i_image" ) . "</div>";
	$html .= "			</div>";
	$html .= "			<div class=\"row\">";
	$html .= "				<div class=\"modify-label col-sm-4\">" . $frm->renderLabelFor ( "i_title_img" ) . "&nbsp;" . $frm->renderBalloonFor ( "g_title_img", false ) . "</div>";
	$html .= "				<div class=\"col-sm-8\">" . $frm->renderInputPart ( "i_title_img" ) . "</div>";
	$html .= "			</div>";
	$html .= "			<div class=\"row\">";
	$html .= "				<div class=\"modify-label col-sm-4\">" . $frm->renderLabelFor ( "i_alt_img" ) . "&nbsp;" . $frm->renderBalloonFor ( "g_alt_img", false ) . "</div>";
	$html .= "				<div class=\"col-sm-8\">" . $frm->renderInputPart ( "i_alt_img" ) . "</div>";
	$html .= "			</div>";
	$html .= "		</div>";
	$html .= "	</div>";
	$html .= "	<div class=\"col-sm-6\">";
	$html .= "		<div class=\"modify-image-wrapper\" id=\"wrapper-g_medium_image\">";
	$html .= "			<div class=\"row\">";
	$html .= "				<div class=\"modify-label col-sm-4\">" . $frm->renderLabelFor ( "i_med_image" ) . "&nbsp;" . $frm->renderBalloonFor ( "i_med_image", false ) . "</div>";
	$html .= "				<div class=\"col-sm-8\">" . $frm->renderInputPart ( "i_med_image" ) . "</div>";
	$html .= "			</div>";
	$html .= "			<div class=\"row\">";
	$html .= "				<div class=\"modify-label col-sm-4\">" . $frm->renderLabelFor ( "i_title_med_img" ) . "&nbsp;" . $frm->renderBalloonFor ( "i_title_med_img", false ) . "</div>";
	$html .= "				<div class=\"col-sm-8\">" . $frm->renderInputPart ( "i_title_med_img" ) . "</div>";
	$html .= "			</div>";
	$html .= "			<div class=\"row\">";
	$html .= "				<div class=\"modify-label col-sm-4\">" . $frm->renderLabelFor ( "i_alt_med_img" ) . "&nbsp;" . $frm->renderBalloonFor ( "i_alt_med_img", false ) . "</div>";
	$html .= "				<div class=\"col-sm-8\">" . $frm->renderInputPart ( "i_alt_med_img" ) . "</div>";
	$html .= "			</div>";
	$html .= "		</div>";
	$html .= "	</div>";
	$html .= "</div>";
	$html .= "<div class=\"row\">";
	$html .= "	<div class=\"col-sm-6\">";
	$html .= "		<div class=\"modify-image-wrapper\" id=\"wrapper-g_thumb\">";
	$html .= "			<div class=\"row\">";
	$html .= "				<div class=\"modify-label col-sm-4\">" . $frm->renderLabelFor ( "i_thumb" ) . "&nbsp;" . $frm->renderBalloonFor ( "i_thumb", false ) . "</div>";
	$html .= "				<div class=\"col-sm-8\">" . $frm->renderInputPart ( "i_thumb" ) . "</div>";
	$html .= "			</div>";
	$html .= "			<div class=\"row\">";
	$html .= "				<div class=\"modify-label col-sm-4\">" . $frm->renderLabelFor ( "i_title_thm" ) . "&nbsp;" . $frm->renderBalloonFor ( "i_title_thm", false ) . "</div>";
	$html .= "				<div class=\"col-sm-8\">" . $frm->renderInputPart ( "i_title_thm" ) . "</div>";
	$html .= "			</div>";
	$html .= "			<div class=\"row\">";
	$html .= "				<div class=\"modify-label col-sm-4\">" . $frm->renderLabelFor ( "i_alt_thm" ) . "&nbsp;" . $frm->renderBalloonFor ( "i_alt_thm", false ) . "</div>";
	$html .= "				<div class=\"col-sm-8\">" . $frm->renderInputPart ( "i_alt_thm" ) . "</div>";
	$html .= "			</div>";
	$html .= "		</div>";
	$html .= "	</div>";
	$html .= "	<div class=\"col-sm-6\">";
	$html .= "		<div class=\"label\">" . Text::_ ( "Setting catalog images" ) . "</div>";
	// начало кнопок
	$html .= "		<div class=\"row btn-flwrap\">";
	// необходимость преобразования к webp
	// смотрим по сео настройке и наличию файлов с отличным от webp расширением

	if (seoConfig::$convertImage2Webp) {
		// проверка файлов изображений
		$list_img ['i_image'] = $frm->getInput ( 'i_image' );
		$list_img ['i_thumb'] = $frm->getInput ( 'i_thumb' );
		$list_img ['i_med_image'] = $frm->getInput ( 'i_med_image' );
		
		// Util::showArray($list_img);
		$conv_webp = false;
		foreach ( $list_img as $ki => $vi ) {
			if ($vi ['PATH']) { // есть путь к картинке
				$ext = pathinfo ( $vi ['PATH'], PATHINFO_EXTENSION );
				if ($ext != 'webp') { // у нас картинка и она не webp
					$conv_webp = true;
				}
			}
		}
		if ($conv_webp) {
			// нужно преобразование - рисуем кнопку
			// тут от дебага надо минификацию или полный
			Portal::getInstance ()->addScript ( '/js/webp.js' );
			$html .= "<div class=\"btn btn-info btn-flform\" onclick=\"createWebpImageByGoods(" . $frm->getInputValue ( $meta->keystring ) . ",'img'); \">" . Text::_ ( "Create webp image" ) . "</div>";
		}
	}
	$html .= "<div class=\"btn btn-info btn-flform\" onclick=\"checkImageByGoods(" . $frm->getInputValue ( $meta->keystring ) . ",'img'); \">" . Text::_ ( "Check images" ) . "</div>";
	$html .= "<div class=\"btn btn-info btn-flform\" onclick=\"FillImagesTitle('img'); \">" . Text::_ ( "Fill images titles" ) . "</div>";
	$html .= "		</div>"; // конец кнопок
	$html .= "		<div class=\"row\">";
	$html .= "		 <div class=\"modify-label col-sm-4\">" . Text::_ ( "Parameters" ) . "</div>";
	$html .= "		 <div class=\"modify-label col-sm-2\">" . Text::_ ( "Image" ) . "</div>";
	$html .= "		 <div class=\"modify-label col-sm-2\">" . Text::_ ( "Thumb" ) . "</div>";
	$html .= "		 <div class=\"modify-label col-sm-2\">" . Text::_ ( "Medium image" ) . "</div>";	
	$html .= "		</div>";
	$html .= "		<div class=\"row\">";

	$html .= "		 <div class=\"modify-label col-sm-4\">" . Text::_ ( "Auto create image" ) . "</div>";
	$html .= "		 <div class=\"modify-label col-sm-2\"><img width=\"1\" height=\"1\" class=\"enabled_0\" alt=\"\" src=\"/images/blank.gif\" /></div>";
	$html .= "		 <div class=\"modify-label col-sm-2\"><img width=\"1\" height=\"1\" class=\"enabled_" . catalogConfig::$thumbAutoCreate . "\" alt=\"\" src=\"/images/blank.gif\" /></div>";
	$html .= "		 <div class=\"modify-label col-sm-2\"><img width=\"1\" height=\"1\" class=\"enabled_" . catalogConfig::$mediumImgAutoCreate . "\" alt=\"\" src=\"/images/blank.gif\" /></div>";	
	$html .= "		</div>";
	$html .= "		<div class=\"row\">";
	$html .= "		 <div class=\"modify-label col-sm-4\">" . Text::_ ( "Auto resize image" ) . "</div>";
	$html .= "		 <div class=\"modify-label col-sm-2\"><img width=\"1\" height=\"1\" class=\"enabled_" . catalogConfig::$MainImg_AutoResize . "\" alt=\"\" src=\"/images/blank.gif\" /></div>";
	$html .= "		 <div class=\"modify-label col-sm-2\"><img width=\"1\" height=\"1\" class=\"enabled_" . catalogConfig::$thumbAutoResize . "\" alt=\"\" src=\"/images/blank.gif\" /></div>";
	$html .= "		 <div class=\"modify-label col-sm-2\"><img width=\"1\" height=\"1\" class=\"enabled_" . catalogConfig::$mediumImgAutoResize . "\" alt=\"\" src=\"/images/blank.gif\" /></div>";	
	$html .= "		</div>";
	$html .= "		<div class=\"row\">";
	$html .= "		 <div class=\"modify-label col-sm-4\">" . Text::_ ( "Dimensions image" ) . "</div>";
	$html .= "		 <div class=\"modify-label col-sm-2\">(W:" . catalogConfig::$MainImg_width . "- H:" . catalogConfig::$MainImg_height . ")</div>";
	$html .= "		 <div class=\"modify-label col-sm-2\">(W:" . catalogConfig::$thumb_width . "- H:" . catalogConfig::$thumb_height . ")</div>";
	$html .= "		 <div class=\"modify-label col-sm-2\">(W:" . catalogConfig::$mediumImgWidth . "- H:" . catalogConfig::$mediumImgHeight . ")</div>";	
	$html .= "		</div>";
	$html .= "		<div class=\"row\">";
	$html .= "		 <div class=\"modify-label col-sm-4\">" . Text::_ ( "Apply watermark" ) . "</div>";
	$html .= "		 <div class=\"modify-label col-sm-2\"><img width=\"1\" height=\"1\" class=\"enabled_" . catalogConfig::$MainImgApplWM . "\" alt=\"\" src=\"/images/blank.gif\" /></div>";
	$html .= "		 <div class=\"modify-label col-sm-2\"><img width=\"1\" height=\"1\" class=\"enabled_" . catalogConfig::$thumbApplWM . "\" alt=\"\" src=\"/images/blank.gif\" /></div>";
	$html .= "		 <div class=\"modify-label col-sm-2\"><img width=\"1\" height=\"1\" class=\"enabled_" . catalogConfig::$mediumImgApplWM . "\" alt=\"\" src=\"/images/blank.gif\" /></div>";	
	$html .= "		</div>";
	$html .= "     </div>";
	$html .= "</div>";
	
	$html .= "</div>";




$html .= "<div class=\"modify-buttons buttons\">";
//$html .= HTMLControls::renderHiddenField ( "activeTab", $_activeTab );
$html .= $frm->renderInputPart ( "save" );
$html .= $frm->renderInputPart ( "apply" );
$html .= $frm->renderInputPart ( "add_new" );
$html .= $frm->renderInputPart ( "cancel" );
$html .= "</div>"; // modify-buttons buttons
$html .= "</div>"; // modify-wrapper
$html .= $frm->endLayout ();
echo $html;
?>