<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : conf 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

$tablname	= 'plugins';
$keystring	= 'p_id';
$deleted	= 'p_deleted';
$enabled	= 'p_enabled';
$ordering_field	= "p_ordering";		// Поле порядка отображения
// $ordering_parent = "p_path";		// Поле внутри которого существует порядок отображения
$nametabl	= "List of plugins";

$buttons = array(
	"new"		=> array("show"=>0,"view"=>"plugins","task"=>""),
	"filter"	=> array("show"=>0),
	"modify"	=> array("show"=>1,"view"=>"plugins","task"=>"modifyPlugin"),
	"delete"	=> array("show"=>0),
	"reorder"	=> array("show"=>1,"view"=>"plugins","task"=>"reorder"),
	"trash"		=> array("show"=>0,"link"=>false)
);

$cur_table_arr = array(
	"field"				=> array(1=>'p_id','p_path','p_name','p_params','p_ordering','p_enabled','p_deleted'),
	"view"				=> array(1=>0,1,1,0,1,0),
	"link"				=> array(3=>"index.php?module=conf&view=plugins&task=modifyPlugin&psid=[0]&page=[1]&sort=[2]&orderby=[3]"),
	"link_key"			=> array(3=>'id, page, sort, orderby'),
	"name"				=> array(1=>'ID','Path','Name','Params','Ordering','Enabled','Deleted'),
	"input_type"	=> array(1=>'hidden','label','label','text','text','checkbox','hidden'),
	"val_type"		=> array(1=>'int','string','string','string','int','boolean','boolean')
);
?>