<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : service 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.1 (2023/09/29)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

class defaultViewmediamanager extends View {
	public function renderFull (){
		echo HTMLControls::renderHiddenField("mm_return_element", $this->return_element);
		if ($this->is_ajax) {
			echo HTMLControls::renderHiddenField("mm_nfl",$this->nfl);
			echo "<link href=\"/css/modules/service.css\" type=\"text/css\" rel=\"stylesheet\" />";
			echo "<script src=\"/js/modules/service.js\"></script>";
			echo "<script src=\"/redistribution/jquery.plugins/jquery.form.min.js\"></script>";
		} else {
			Portal::getInstance()->addScript("/redistribution/jquery.plugins/jquery.form.min.js");
			$script = "$(document).ready(function() { mm_prepareUploader(); });";
			Portal::getInstance()->addScriptDeclaration($script);
		}
		$this->render();
	}
}
?>