<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : service 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.1 (2023/09/29)
//  Build: 203 (2024-01-07 23:14:41)
// 

defined('_BARMAZ_VALID') or die("Access denied");
//Util::showArray($this->add_list,'add_list');
//Util::showArray($this->main_fld,'arr_main_fld');

?>
<div class="container">
	<div class="row col-md-12">
		<div class="conf-manager rounded-pan">
			<h4 class="title"><?php echo Text::_("Replace additional data")."<br />".$this->title; ?></h4>
			<div id="selectVisio">
				<form method="post" action="index.php">
				
				<div class="row row-head">
    				<div class="col-md-5 cell-head" ><?php echo Text::_("Field from additional list");?></div>
    				<div class="col-md-2 cell-head"> => </div>
    				<div class="col-md-5 cell-head"><?php echo Text::_("Field from table")." ".$this->main_table;?></div>
				</div>
		
				<?php for ($i = 0; $i < $this->count_fld; $i++) {?>
				<div class="row row-body">
    				<div class="col-md-3"><?php echo HTMLControls::renderSelect("add_fld[]", "add_fld_".$i,"id", "title", $this->add_list,"",true,"checkaddFld(".(int)$i.",1,this)");?></div>
    				<div class="col-md-6 "><div id="inf<?php echo $i;?>"> => </div></div>
    				<div class="col-md-3"><?php echo HTMLControls::renderSelect("fld_table[]", "fld_table_fld_".$i,false, false, $this->main_fld,"",true,"checkaddFld(".(int)$i.",2,this)");?></div>
				</div>
				<?php } ?>		
				<div class="buttons">
					<input class="commonButton btn btn-info" type="submit" name="save" value="<?php echo Text::_("Remove it"); ?>" />
					<input type="hidden" name="module" value="service" />
					<input type="hidden" name="task" value="removeDopData" />
					<input type="hidden" name="view" value="db" />
					<input type="hidden" id="m_view" name="m_view" value="<?php echo $this->m_view;?>" />
					<input type="hidden" id="m_module" name="m_module" value="<?php echo $this->m_module;?>" />
					<input type="hidden" id="maintable" name="maintable" value="<?php echo $this->main_table;?>" />
					<input type="hidden" id="maintablekey" name="maintablekey" value="<?php echo $this->main_table_key;?>" />
				</div>		
				</form>
			</div>
		</div>
	</div>
</div>