<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : service 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.1 (2023/09/29)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

?>
<div class="container"><div class="row"><div class="col-md-12"><div class="service-manager rounded-pan rounded-pan-mini">
	<h4 class="title"><?php echo Text::_("Database restructuring") ?></h4>
	<div class="row">
		<div class="col-md-12"><?php echo HTMLControls::renderLabelField(false, Text::_("Operations log")); ?></div>
	</div>
	<div class="row"><div class="col-md-12">
	<?php if(count($this->packagelog)>0){
		foreach($this->packagelog as $msg){
			echo "<p class=\"log_message\">".$msg."</p>";
		}
	} else {
		echo "<p class=\"log_message\">".Text::_("Operation complete")."</p>";
	}?>
	</div></div>
	<div class="buttons">
		<a class="linkButton btn btn-info" href="index.php?module=service&amp;view=updater&amp;layout=restructure"><?php echo Text::_("Continue"); ?></a>
	</div>
</div></div></div></div>