<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

defined('_BARMAZ_VALID') or die("Access denied");

/**
 ПЕРЕИМЕНОВАТЬ В metadata_u.php
 В этот файл складывать классы возвращающие ассоциативные массивы, которые
 планируется использовать в основном справочнике системы  в качестве
 статичных списков, которые имеют приоритет над metadata.php
 В качестве возвращаемого значения - всегда ассоциативный массив

 Имя функции не менять,
 Имя файла не менять.
 Начинка по желанию.

 Reserved keys are "sex", "side", "rating", "link_target", "extendable_tables","template_zones"
*/

final class userCKArray	{
	public static function getArray($ck_label="") {
		switch($ck_label){
			// Пример получения значений
			case "extendable_tables":
				$ck_array=customCKArray::getArray($ck_label, true);
				// Здесь можно обработать массив
				return $ck_array;
				break;
			default:
				return false;
				break;
		}
	}
}
?>