<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : user 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

class userModelstructure extends Model {
	function getStructure($affiliate_code) {
		$tree = new simpleTreeTable;
  	$tree->table="users";
    $tree->fld_id="u_affiliate_code";
    $tree->fld_parent_id="u_referral";
    $tree->fld_title="u_nickname";
    $tree->fld_deleted="u_deleted";
    $tree->fld_orderby="u_nickname";
    $tree->element_link="index.php?module=user&amp;view=info&amp;affiliate=";
		$tree->buildTreeArrays('',0,1);
  	return $tree->getTreeHTML($affiliate_code,'ul','users_tree');
  }
	
}
?>